BEGIN ~SPEC~

IF ~RandomNum(4,1)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,2)
~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)
~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)~ THEN BEGIN 3
  SAY @3
  IF ~~ THEN EXTERN ~KENB~ 3
END

IF ~~ THEN BEGIN 4
  SAY @4
  IF ~~ THEN EXTERN ~KENB~ 4
END

IF ~~ THEN BEGIN 5
  SAY @5
  IF ~~ THEN EXTERN ~KENB~ 5
END

IF ~~ THEN BEGIN 6
  SAY @6
  IF ~~ THEN EXTERN ~KENB~ 6
END
